@keyframes heartbit {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.25);
  }

  100% {
    transform: scale(1);
  }
}

@keyframes sparks-opacity {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.contour {
  transition: fill 0.1s linear;
}

.core {
  transition: fill 0.3s 0.03s linear;
}

.main-body {
  transition: fill 0.3s linear;
}

.like-icon:hover .core {
  fill: var(--contour-color);
  transition-delay: 0s;
}

.like-icon:active .core {
  fill: var(--animation-fill-color);
  transition-delay: 0s;
}

.like-icon:hover .main-body {
  fill: var(--contour-color);
  transition-delay: 0.05s;
}

.like-icon:active .main-body {
  fill: var(--animation-fill-color);
  transition-delay: 0.05s;
}

.like-icon.is-liked .core {
  fill: var(--animation-fill-color);
  transition-delay: 0s;
}

.like-icon.is-liked .main-body {
  fill: var(--animation-fill-color);
  transition-delay: 0.05s;
}

.like-icon.is-liked .contour {
  fill: var(--animation-fill-color);
  transition-delay: 0.06s;
  transition-duration: 0.3s;
}

.is-liked .heart {
  transform-origin: center;
  animation: heartbit 0.3s 0.1s ease-in 1;
}

.like-icon .sparks {
  opacity: 0;
}

.like-icon.is-liked .sparks {
  animation: sparks-opacity 0.3s 0.3s ease-in;
}